#ifndef CONSTRUCTION_HH
#define CONSTRUCTION_HH

#include "G4VUserDetectorConstruction.hh"
#include "G4VPhysicalVolume.hh"
#include "G4LogicalVolume.hh"
#include "G4Box.hh"
#include "G4Tubs.hh"
#include "G4PVPlacement.hh"
#include "G4NistManager.hh"
#include "G4SystemOfUnits.hh"
#include "G4GenericMessenger.hh"

#include "detector.hh"

class MyDetectorConstruction : public G4VUserDetectorConstruction
{
  public:
    MyDetectorConstruction();
   ~MyDetectorConstruction();

    virtual G4VPhysicalVolume *Construct();

  private:
    virtual void ConstructSDandField();
    void DefineMaterials();

    G4Tubs            *solidRadiator;
    G4Box             *solidWorld, *solidDetector;
    G4LogicalVolume   *logicWorld, *logicRadiator, *logicDetector;
    G4VPhysicalVolume *physWorld,  *physRadiator,  *physDetector;
    G4Material        *worldMaterial, *targetMaterial;
    G4Element         *elCu;

    G4GenericMessenger *fMessenger;
    G4double fThickness, fRadius;
};

#endif
