#include "run.hh"

MyRunAction::MyRunAction()
{
    // get anayisis pointer
    auto *man = G4AnalysisManager::Instance();

    // determine the NTuple content (I for integer, D for double)
    man->CreateNtuple("Values","Values");
    man->CreateNtupleIColumn("Run");
    man->CreateNtupleIColumn("Event");
    man->CreateNtupleIColumn("TrackID");
    man->CreateNtupleIColumn("ParentID");
    man->CreateNtupleIColumn("TrackPDG");
    man->CreateNtupleDColumn("TargetThickness");
    man->CreateNtupleDColumn("InitialEnergy");
    man->CreateNtupleDColumn("FinalEnergy");
    man->CreateNtupleDColumn("Px");
    man->CreateNtupleDColumn("Py");
    man->CreateNtupleDColumn("Pz");
    man->CreateNtupleDColumn("xpos");
    man->CreateNtupleDColumn("ypos");
    man->CreateNtupleDColumn("zpos");
    man->FinishNtuple(0);
}
//--------------------------------------------------------------------------------------
MyRunAction::~MyRunAction()
{}
//--------------------------------------------------------------------------------------
void MyRunAction::BeginOfRunAction(const G4Run* run){
    // get anayisis pointer
    auto *man = G4AnalysisManager::Instance();

    // get run number
    G4int runNumber = run->GetRunID();
    std::stringstream strRunNumber;
    strRunNumber << runNumber;

    // open root file and
    G4String rootFile = "gamma_" + strRunNumber.str() + ".root";
    man->OpenFile(rootFile);
    G4cout << "Begin of Run#      = " << runNumber << G4endl;
    G4cout << "The root file name = " << rootFile  << G4endl;
 }
//--------------------------------------------------------------------------------------
void MyRunAction::EndOfRunAction(const G4Run*){
    // write the values to file and close at the end of run
    G4AnalysisManager *man = G4AnalysisManager::Instance();
    man->Write();
    man->CloseFile();
}
